
%global meadversion 1.0.2
%global namedversion 1.0.2.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 4
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package artemis-native} 
%{!?scl:%global pkg_name %{name}}

%define wfhomedir %{_datadir}/wildfly
%define artemisdir modules/system/layers/base/org/apache/activemq/artemis/journal/main/lib

%define maven_version 1.0.2.redhat-00004

Name:		%{?scl_prefix}artemis-native
Summary: 	Apache ActiveMQ Artemis native library, used as a bridge between Apache ActiveMQ Artemis and Linux libaio
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:		1
License: 	ASL 2.0
Group: 		Development/Java

%if %with mead
Source100: activemq-artemis-native-1.0.2.redhat-00004-source-release.zip
Source102: activemq-artemis-native-1.0.2.redhat-00004.jar
Source103: activemq-artemis-native-1.0.2.redhat-00004-source-release.tar.gz
Source104: activemq-artemis-native-1.0.2.redhat-00004.pom
Source105: activemq-artemis-native-1.0.2.redhat-00004-sources.jar
Source106: activemq-artemis-native-1.0.2.redhat-00004-project-sources.tar.gz
%endif

URL:		http://apache.org/activemq
BuildRequires:  unzip
Requires:       libaio, glibc

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Apache ActiveMQ Artemis distributes a native library, used as a 
bridge between Apache ActiveMQ Artemis and Linux libaio.

%package wildfly
Summary:     Apache ActiveMQ Artemis native library for EAP 7
Group:       Development

Requires:       libaio, glibc

%description wildfly
Apache ActiveMQ Artemis native library for EAP 7.

%prep
%setup -q -n activemq-artemis-native-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

%ifarch i386 i686
libdir=lib
libarch=32
archdir=linux-i686
libname=lib/linux-i686/libartemis-native-32.so
%endif
%ifarch ppc64
libdir=lib64
libarch=64
archdir=linux-ppc64
libname=lib/linux-ppc64le/libartemis-native-64.so
%endif
%ifarch x86_64
libdir=lib64
libarch=64
archdir=linux-x86_64
libname=lib/linux-x86_64/libartemis-native-64.so
%endif

%ifnarch aarch64
ls %{_sourcedir}
install -d -m 755 $RPM_BUILD_ROOT/%{_libdir}
install -d -m 755 $RPM_BUILD_ROOT/%{wfhomedir}/%{artemisdir}/$archdir
unzip -qq %{_sourcedir}/activemq-artemis-native-%{namedversion}.jar $libname
cp -L $libname $RPM_BUILD_ROOT/%{_libdir}/libartemis-native-$libarch.so
cp -L $libname $RPM_BUILD_ROOT/%{wfhomedir}/%{artemisdir}/$archdir/libartemis-native-$libarch.so
%endif

%clean
rm -Rf $RPM_BUILD_ROOT

%pre wildfly
# Add jboss user and group
getent group jboss >/dev/null || groupadd -f -g 185 -r jboss
if ! getent passwd jboss >/dev/null ; then
    if ! getent passwd 185 >/dev/null ; then
      useradd -r -u 185 -g jboss -d %{wfhomedir} -s /sbin/nologin -c "JBoss" jboss
    else
      useradd -r -g jboss -d %{wfhomedir} -s /sbin/nologin -c "JBoss" jboss
    fi
fi
exit 0

%files
%defattr(-,root,root,-)
%ifnarch aarch64
%{_libdir}/*.so
%endif

%files wildfly
%ifnarch aarch64
%defattr(0755,root,root,0755)
%dir %{wfhomedir}/%{artemisdir}/linux*
%{wfhomedir}/%{artemisdir}/linux*/libartemis-native-*.so
%endif

%changelog
* Thu Mar 16 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.2-4.redhat_00004.1
- 1.0.2

* Thu Mar 16 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.2.redhat_00004-1.1%{nil}
- Building new wrapper

* Wed Mar 15 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.2.redhat_00004-1.1%{nil}
- Try new wrapper

* Wed Mar 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2.redhat_00004-1.1%{nil}
- Built by CPaaS

* Wed Mar 15 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.2.redhat_00004-1.1%{nil}
- Building new wrapper

* Wed Mar 15 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.2.redhat_00004-1.1%{nil}
- 1.0.2.redhat-00004

* Wed Mar 15 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.2.redhat_00004-1.1
- 1.0.2.redhat-00004-1

* Thu Jun 02 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2-1
Built by CPaaS



